4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Config

Classes: Config |  |  |  | Functions: get_python_lib |  |  |  | Fields: CACHE_FILENAME, CONFIG_KEYS, CONFIG_SCHEMES, DEBUG, EXPORTED_CONFIG_KEYS

## Classes

class Config(distutils.cmd.Command)

### Methods

finalize_options(self)
finalize_other(self)
finalize_posix(self)
get_config_vars(self)
initialize_options(self)
run(self)
write_config_vars(self, filename)

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

boolean_options = ['local', 'system', 'debug']
command_name = 'config'
description = 'select installation scheme and base directories'
help_options = [('help-compiler', None, 'list available compilers', <function show_compilers>)]
user_options = [('local', None, '(POSIX only) Use FHS /usr/local installation scheme'), ('system', None, '(POSIX only) Use FHS /usr installation scheme (e.g. for RPM builds)'), ('prefix=', None, 'Use POSIX autoconf-style or Windows installation scheme with this prefix'), ('exec-prefix=', None, '(POSIX only) Prefix for platform-specific files when using autoconf-style scheme'), ('home=', None, '(POSIX only) Use home directory installation scheme with this prefix'), ('pythonlibdir=', None, 'Directory for 3rd-party Python libraries (site-packages)'), ('bindir=', None, 'Directory for user executables'), ('datadir=', None, 'Directory for read-only platform-independent data'), ('sysconfdir=', None, 'Directory for read-only host-specific data'), ('localstatedir=', None, 'Directory for modifiable host-specific data'), ('libdir=', None, 'Directory for program & package libraries'), ('docdir=', None, 'Directory for documentation files'), ('localedir=', None, 'Directory for message catalogs'), ('compiler=', 'c', 'specify the compiler type'), ('debug', 'g', 'compile extensions and libraries with debugging information')]

### Fields

## Functions

get_python_lib(prefix)

## Fields

CACHE_FILENAME = 'config.cache'
CONFIG_KEYS = ('prefix', 'exec_prefix', 'pythonlibdir', 'bindir', 'datadir', 'sysconfdir', 'localstatedir', 'libdir', 'docdir', 'localedir', 'compiler', 'debug')
CONFIG_SCHEMES = {'fhs_local': {'bindir': '/usr/local/bin', 'datadir': '/usr/local/share/$name', 'docdir': '/usr/local/share/doc/$fullname', 'libdir': '/usr/local/lib/$name', 'localedir': '/usr/local/share/locale', 'localstatedir': '/var/local/lib/$name', 'pythonlibdir': '/usr/local/lib/python2.4/site-packages', 'sysconfdir': '/usr/local/etc/$name'}, 'fhs_system': {'bindir': '/usr/bin', 'datadir': '/usr/share/$name', 'docdir': '/usr/share/doc/$fullname', 'libdir': '/usr/lib/$name', 'localedir': '/usr/share/locale', 'localstatedir': '/var/lib/$name', 'pythonlibdir': '/usr/local/lib/python2.4/site-packages', 'sysconfdir': '/etc/$name'}, 'nt': {'bindir': '$prefix/Scripts', 'datadir': '$prefix/Share/$name', 'docdir': '$prefix/Share/Doc/$fullname', 'libdir': '$prefix/Share/$name', 'localedir': '$prefix/Share/Locale', 'localstatedir': '$prefix/Share/$name', 'pythonlibdir': '$prefix/Lib/site-packages', 'sysconfdir': '$prefix/Share/Settings/$name'}, 'other': {'bindir': '$prefix/Scripts', 'datadir': '$prefix/Share/$name', 'docdir': '$prefix/Share/Doc/$fullname', 'libdir': '$prefix/Share/$name', 'localedir': '$prefix/Share/Locale', 'localstatedir': '$prefix/Share/$name', 'pythonlibdir': '$prefix/Lib/site-packages', 'sysconfdir': '$prefix/Share/Settings/$name'}, 'posix_autoconf': {'bindir': '$exec_prefix/bin', 'datadir': '$prefix/share/$name', 'docdir': '$prefix/share/doc/$fullname', 'libdir': '$exec_prefix/lib/$name', 'localedir': '$datadir/locale', 'localstatedir': '$exec_prefix/var/$name', 'pythonlibdir': '/usr/local/lib/python2.4/site-packages', 'sysconfdir': '$prefix/etc/$name'}, 'posix_home': {'bindir': '$prefix/bin', 'datadir': '$prefix/share/$name', 'docdir': '$prefix/share/doc/$fullname', 'libdir': '$prefix/lib/$name', 'localedir': '$prefix/share/locale', 'localstatedir': '$prefix/share/var/$name', 'pythonlibdir': '$prefix/lib/python$python_version', 'sysconfdir': '$prefix/share/etc/$name'}}
DEBUG = None
EXPORTED_CONFIG_KEYS = ('name', 'version', 'fullname', 'url', 'bindir', 'datadir', 'sysconfdir', 'localstatedir', 'libdir', 'docdir', 'localedir')